crashpad::CrashReportUploadThread::Options Struct Reference

Options to be passed to the CrashReportUploadThread constructor. More...

`#include "handler/crash_report_upload_thread.h"`

## Public Attributes

bool | identify_client_via_url
bool | rate_limit
| Whether uploads should be throttled to a (currently hardcoded) rate.
bool | upload_gzip
| Whether uploads should use `gzip` compression.
bool | watch_pending_reports

## Detailed Description

Options to be passed to the CrashReportUploadThread constructor.

## Member Data Documentation

## identify_client_via_url

bool crashpad::CrashReportUploadThread::Options::identify_client_via_url

Whether client identifying parameters like product name or version should be added to the URL.

## watch_pending_reports

bool crashpad::CrashReportUploadThread::Options::watch_pending_reports

Whether to periodically check for new pending reports not already known to exist. When `false`, only an initial upload attempt will be made for reports known to exist by having been added by the ReportPending() method. No scans for new pending reports will be conducted.

The documentation for this struct was generated from the following file:

- handler/crash_report_upload_thread.h